//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "TeeComma.hpp"
#include <Chart.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <Series.hpp>
#include <TeEngine.hpp>
#include <TeeProcs.hpp>
#include <TeeShape.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
  TChart *Chart1;
  TLineSeries *Series2;
  TChartShape *Series1;
  TStringGrid *StringGrid1;
  TTeeCommander *TeeCommander1;
  TButton *Button1;
  TPanel *Panel1;
  TLabel *Label2;
  TLabel *Label3;
  TTimer *Timer1;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall Button1Click(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall Series2GetMarkText(TChartSeries *Sender, int ValueIndex,
          AnsiString &MarkText);
private:	// User declarations
public:		// User declarations
  __fastcall TForm1(TComponent* Owner);
    int MilliStart;
    int DeltaX;
    int DeltaY;
    int DeltaRot;
    void MoveSeriesTo(int ARow);
    unsigned int StrToMilli(int ARow);
    void CalcDelta();
    void AddPath(int Index, int Minute, int Second, int X, int Y);
    void FillRedLine();
    void FillGrid();
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
