//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "c_customarray.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)

double __fastcall c_MBArray::GetValue(int ValueIndex)
{
    return data[ValueIndex];
}
//---------------------------------------------------------------------------
void __fastcall c_MBArray::SetValue(int ValueIndex, const double AValue)
{
    data[ValueIndex]=AValue;
}
//---------------------------------------------------------------------------
void __fastcall c_MBArray::ClearValues()
{
    if (data!=0) for (int i=0; i<TheCount; i++) data[i]=0;
}
//---------------------------------------------------------------------------
int __fastcall c_MBArray::AddChartValue(const TChartValue Value)
{
    data[TheCount]=Value;
    TheCount++;
    return TheCount-1;
}
//---------------------------------------------------------------------------
void __fastcall c_MBArray::InsertChartValue(int ValueIndex, const TChartValue Value)
{
    // Don't need this I hope.
}
//---------------------------------------------------------------------------
__fastcall c_MBArray::c_MBArray(TChartSeries * AOwner, const AnsiString AName):  TChartValueList(AOwner,  AName)
{
    TheCount=0;
}
//---------------------------------------------------------------------------
int __fastcall c_MBArray::Count()
{
    return TheCount;
}
//---------------------------------------------------------------------------
void __fastcall c_MBArray::Delete(int ValueIndex)
{
    for (int i=ValueIndex+1; i<Count(); i++)
        data[i-1]=data[i];
    TheCount--;
}
//---------------------------------------------------------------------------
void __fastcall c_MBArray::Scroll()
{
    // Don't need this I hope.
}
//---------------------------------------------------------------------------

