//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "custdraw.h"
//---------------------------------------------------------------------------
#pragma link "Chart"
#pragma link "TeEngine"
#pragma link "TeeProcs"
#pragma link "Series"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
  Series1->FillSampleValues(20);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Series1BeforeDrawValues(TObject *Sender)
{
 const int MyColors[5]={clNavy,clGreen,clYellow,clRed,clBlue};

 int t,Partial,YPosition;
 TRect tmpRect;
 double tmpYCenterValue;

//    { we will divide the total chart width by 5 }
    tmpRect=Chart1->ChartRect;
    tmpRect.Right=tmpRect.Left;
    Partial=Chart1->ChartWidth/5;

//    { change the brush style and remove the pen }
    Chart1->Canvas->Brush->Style=bsDiagCross;
    Chart1->Canvas->Pen->Style=psClear;

//    { for each section, fill with a specific color }
    for (t=1;t<6;t++)
    {
//      { adjust the rectangle dimension }
      tmpRect.Right =tmpRect.Right+Partial+1 ;

//      { set the brush color }
      Chart1->Canvas->Brush->Color=MyColors[t];

//      { paint !!! }
      Chart1->Canvas->Rectangle( tmpRect.Left + Chart1->Width3D,
                                tmpRect.Top   - Chart1->Height3D,
                                tmpRect.Right + Chart1->Width3D,
                                tmpRect.Bottom- Chart1->Height3D );

//      { adjust rectangle }
      tmpRect.Left=tmpRect.Right;
    }
}
//---------------------------------------------------------------------------