//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "viewer.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
#include "c_customarray.h"
#include <stdlib.h>


double * xvalues;
double * yvalues;

const int NumPoints=1000;

__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{

}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
    Chart1->LeftAxis->SetMinMax(-10000,10000);
    Chart1->BottomAxis->SetMinMax(0,NumPoints);

    xvalues = new double[NumPoints];
    yvalues = new double[NumPoints];

    for (int i=0; i<NumPoints; i++) {
        xvalues[i]=i;
        yvalues[i]=0;
    }

    // Point the series to our arrays
    c_MBArray * temp;
    temp = new c_MBArray(Series1,"");
    Series1->ReplaceList(Series1->XValues,temp);
    ((c_MBArray *)Series1->XValues)->Order=loAscending;
    ((c_MBArray *)Series1->XValues)->TheCount=NumPoints;
    ((c_MBArray *)Series1->XValues)->data=xvalues;
    temp=0;
    temp = new c_MBArray(Series1,"");
    Series1->ReplaceList(Series1->YValues,temp);
    ((c_MBArray *)Series1->YValues)->TheCount=NumPoints;
    ((c_MBArray *)Series1->YValues)->data=yvalues;

}
//---------------------------------------------------------------------------
void __fastcall TForm1::Timer1Event(TObject *Sender)
{
    for (int i=0; i<NumPoints; i++)
        yvalues[i]=random(1000)-500;
    Chart1->Repaint();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormDestroy(TObject *Sender)
{
    // Free our arrays
    ((c_MBArray *)Series1->XValues)->data=0;
    ((c_MBArray *)Series1->YValues)->data=0;
    delete [] xvalues;
    delete [] yvalues;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ScrollBar1Change(TObject *Sender)
{
  Timer1->Enabled=false;
  Timer1->Interval=ScrollBar1->Position*50;
  Label2->Caption=IntToStr(Timer1->Interval);
  Timer1->Enabled=true;
}
//---------------------------------------------------------------------------

